function battle_sai017c(npcID)  --太武.风

    y=flag.GetBattleValue(15361)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

--数释放技能一定次数，换属性

	if y~=3 then
--战斗        
		n=flag.GetBattleValue(15182)         --计算回合数 

		if n~=3 then
	
	       a=battle.GetRndNumber(1,10)
	        if a>=1 and a<=3 then
	        n=n+1
			flag.SetBattleValue(15182,n)
			battle.MagicToPlayer(0,1465,1)    --普通攻击
			
			elseif a>=4 and a<=7 then 
			n=n+1
			flag.SetBattleValue(15182,n)
			battle.MagicToPlayer(0,1468,1)    --中招

			else
			flag.SetBattleValue(15182,0)
			y=y+1
			flag.SetBattleValue(15361,y)
			id=battle.GetRndPlayer()
			battle.MagicToPlayer(0,1471,2)    --大招
			end

		else

			flag.SetBattleValue(15182,0)
			y=y+1
			flag.SetBattleValue(15361,y)
           	id=battle.GetRndPlayer()
			battle.MagicToPlayer(0,1471,2)    --大招 

        end

 	else
		local a=battle.GetRndNumber(1,2)
		if a==1 then
			flag.SetBattleValue(15361,0)
			--ui.Popo_Auto(58943,1,npcID,1,0)--森罗万象·火
			battle.MagicToNpc(npcID,1462,1)
			global.WaitForBattleSEEnd(1106)
			battle.ChangeNpc(10132,10117)
		else
			flag.SetBattleValue(15361,0)
			--ui.Popo_Auto(58941,1,npcID,1,0)--森罗万象·土
			battle.MagicToNpc(npcID,1463,1)
			global.WaitForBattleSEEnd(1112)
			battle.ChangeNpc(10132,10131)		
		end
    end

end